## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

# reduce debuginfo verbosity to work around rustc OOM problems on 32-bit arches
%global rustflags_debuginfo 1

%global crate fedora-update-feedback

Name:           rust-%{crate}
Version:        2.0.2
Release:        %autorelease
Summary:        Provide feedback for Fedora updates (inspired by fedora-easy-karma)

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/fedora-update-feedback
Source0:        %{crates_source}
Source1:        LICENSE.dependencies

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Provide feedback for Fedora updates (inspired by fedora-easy-karma).}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (ASL 2.0 or MIT) and BSD
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ASL 2.0 and BSD and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc NEWS.md
%doc README.md
%{_bindir}/fedora-update-feedback
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{crate}.bash

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -D -p -m 0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
    target/release/build/%{crate}-*/out/%{crate}.bash

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#2091711

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-3
- Rebuild with package notes

* Tue Feb 01 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.0-2
- Reduce debuginfo verbosity in an attempt to fix armv7hl OOM problems

* Tue Feb 01 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2048856

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Sep 25 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2007605

* Fri Aug 20 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4; Fixes RHBZ#1991636

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3; Fixes RHBZ#1988306

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2.
- Fixes RHBZ#1967520

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0.

* Tue Nov 03 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0.

* Sun Aug 30 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5.

* Sun Aug 16 15:01:26 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.4-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.4-1
- Update to version 0.5.4.

* Tue Apr 14 2020 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Tue Apr 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2.

* Sun Mar 29 09:52:27 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Fri Mar 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Rebuild for bodhi-rs 0.5.8.

* Sun Mar 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0.

* Thu Mar 05 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-3
- Rebuild for bodhi-rs 0.5.7.

* Sat Feb 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-2
- Rebuild for bodhi-rs 0.5.6.

* Fri Feb 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2.

* Fri Feb 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1.

* Mon Feb 24 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0.

* Wed Feb 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.

* Mon Feb 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Initial package

